Runtime

## org.eclipse.gmf.runtime.draw2d.ui.mapmode
Class MapModeTypes

    java.lang.Object
      org.eclipse.gmf.runtime.draw2d.ui.mapmode.MapModeTypes

    public class MapModeTypes

extends java.lang.Object

Field Summary
`static IMapMode` `DEFAULT_MM` Constant `IMapMode` class default coordinate mapping (HiMetric is current default).
`static IMapMode` `HIMETRIC_MM` Constant `IMapMode` class for HiMetric coordinate mapping
`static IMapMode` `IDENTITY_MM` Constant `IMapMode` class for Identity coordinate mapping

Constructor Summary
`MapModeTypes()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HIMETRIC_MM

    public static IMapMode HIMETRIC_MM

  Constant `IMapMode` class for HiMetric coordinate mapping

### IDENTITY_MM

    public static IMapMode IDENTITY_MM

  Constant `IMapMode` class for Identity coordinate mapping

### DEFAULT_MM

    public static IMapMode DEFAULT_MM

  Constant `IMapMode` class default coordinate mapping (HiMetric is current default).

Constructor Detail

### MapModeTypes

    public MapModeTypes()

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.